package com;

/**
 * The Passenger class representing the the passengers that request tickets and decide their flights
 *
 * @author Roham Zendehdel
 * @version 1.00, May 2019
 */
public class Passenger {
    private String firstName;
    private String lastName;
    private int id;
    private Ticket reservedTicket;

    public Passenger(String firstName, String lastName, int id) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.id = id;
    }

    public String getFirstName() {
        return firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public int getId() {
        return id;
    }

    public Ticket getReservedTicket() {
        return reservedTicket;
    }

    /**
     * Reserving the ticket requested by the passenger
     *
     * @param t the ticket that the passenger wants to reserve
     */
    public int reserveTicket(Ticket t) {
        int status = t.getFlight().getAirplane().reserveSeat(t.getFlight().getAirplane().getSeats().get(t.getSeatNumber()));
        if (status == 0) {
            t.getFlight().getAirplane().getSeats().get(t.getSeatNumber()).setPassenger(this);
            this.reservedTicket = t;
        }
        return status;
    }
}
